import request from '../apollo-table/utils/request';

// 获取表头配置
export async function getColumnConfig({ tableId, data }: { tableId: number; data?: any }) {
    return request(`/airTable/userConfig/${tableId}`, { method: 'get', prefix: '/crmApi', data });
}

// 设置表头显隐配置
export async function setHideConfig({ tableId, data }) {
    return request(`/airTable/hideConfig/${tableId}`, { method: 'post', prefix: '/crmApi', data });
}

// 获取操作栏配置
export async function getOperateConfig({ tableId }) {
    return request(`/airTable/table/config/${tableId}`, { method: 'post', prefix: '/crmApi' });
}

// 修改操作栏配置
export async function setOperateConfig({ tableId, data }) {
    return request(`/airTable/table/config/save/${tableId}`, { method: 'post', prefix: '/crmApi', data });
}

// 获取数据
export async function getDataSource({ tableId, data }: { tableId: number; data?: any }) {
    return request(`/follow/list/${tableId}`, { method: 'post', prefix: '/crmApi', data });
}

// 获取分组数据
export async function getGroupDataSource({ tableId, data }) {
    return request(`/follow/group/list/${tableId}`, { method: 'post', prefix: '/crmApi', data });
}

// 修改数据
export async function addOrUpdateDataSource({ data }) {
    return request('/follow/addOrUpdate', { method: 'post', prefix: '/crmApi', data });
}

// 删除数据
export async function delData({ data }) {
    return request('/follow/del', { method: 'post', prefix: '/crmApi', data });
}

// 获取数据详情
export async function getDetail({ tableId, rowId }) {
    return request(`/follow/row/${tableId}/${rowId}`, { method: 'get', prefix: '/crmApi' });
}
// 通用审批  模糊搜索
export async function approvalBusinessData(params: any) {
    return request('/approval/business', {
        method: 'get',
        params,
        prefix: '/approvalApi',
    });
}
// 查询组织列表
export async function getDepartmentList(data) {
    return request('/departments/list', { method: 'post', data });
}
// 字典树
export async function dictionaryTree(id, data) {
    return request(`/dictionaries/listTree/${id}`, { method: 'post', prefix: '/adminApi', data });
}
